# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20141025.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sat Oct 25 09:48:06 UTC 2014
# ------------------------------------------------------------------------------
# NEWS                             |    6 +-
# configure                        |  101 ++++++++++++++++++-------------------
# configure.in                     |    9 +--
# dist.mk                          |    4 -
# ncurses/base/lib_mouse.c         |    4 -
# ncurses/curses.priv.h            |    8 +-
# ncurses/win32con/win_driver.c    |   16 +++++
# package/debian-mingw/changelog   |    4 -
# package/debian-mingw64/changelog |    4 -
# package/debian/changelog         |    4 -
# package/mingw-ncurses.nsi        |    4 -
# package/mingw-ncurses.spec       |    2 
# package/ncurses.spec             |    2 
# test/test.priv.h                 |    4 -
# 14 files changed, 95 insertions(+), 77 deletions(-)
# ------------------------------------------------------------------------------
Index: NEWS
Prereq:  1.2291 
--- ncurses-5.9-20141018+/NEWS	2014-10-19 01:19:36.000000000 +0000
+++ ncurses-5.9-20141025/NEWS	2014-10-25 00:20:09.000000000 +0000
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2291 2014/10/19 01:19:36 tom Exp $
+-- $Id: NEWS,v 1.2293 2014/10/25 00:20:09 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,10 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20141025
+	+ in-progress changes to integrate the win32 console driver with the
+	  msys2 configuration.
+
 20141018
 	+ reviewed terminology 0.6.1, add function key definitions.  None of
 	  the vt100-compatibility issues were improved -TD
Index: configure
--- ncurses-5.9-20141018+/configure	2014-09-23 22:24:01.000000000 +0000
+++ ncurses-5.9-20141025/configure	2014-10-25 00:22:06.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.586 .
+# From configure.in Revision: 1.587 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20121002.
 #
@@ -13907,7 +13907,7 @@
 
 ###	Checks for libraries.
 case $cf_cv_system_name in #(vi
-*mingw32*) #(vi
+*mingw32*|*mingw64*) #(vi
 	CPPFLAGS="$CPPFLAGS -DWINVER=0x0501"
 	LIBS=" -lpsapi $LIBS"
 	;;
@@ -20893,8 +20893,9 @@
 if test "$with_term_driver" != no ; then
 	LIB_SUBSETS="${LIB_SUBSETS}+port_drivers"
 	case $cf_cv_system_name in #(vi
-	*mingw32*) #(vi
+	*mingw32*|*mingw64*) #(vi
 		LIB_SUBSETS="${LIB_SUBSETS}+port_tinfo+port_win32con"
+		CPPFLAGS="$CPPFLAGS -DUSE_WIN32CON_DRIVER"
 		;;
 	*) #(vi
 		LIB_SUBSETS="${LIB_SUBSETS}+port_tinfo"
@@ -20905,7 +20906,7 @@
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:20908: result: $LIB_SUBSETS" >&5
+echo "$as_me:20909: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -20936,7 +20937,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:20939: checking default library suffix" >&5
+echo "$as_me:20940: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -20947,10 +20948,10 @@
 	shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:20950: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:20951: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:20953: checking default library-dependency suffix" >&5
+echo "$as_me:20954: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case X$DFT_LWR_MODEL in #(vi
@@ -21005,10 +21006,10 @@
 	esac
 	test -n "$LIB_SUFFIX" && DFT_LIB_SUFFIX="${LIB_SUFFIX}${DFT_LIB_SUFFIX}"
 	test -n "$LIB_SUFFIX" && DFT_DEP_SUFFIX="${LIB_SUFFIX}${DFT_DEP_SUFFIX}"
-echo "$as_me:21008: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:21009: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:21011: checking default object directory" >&5
+echo "$as_me:21012: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -21024,11 +21025,11 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:21027: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:21028: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:21031: checking c++ library-dependency suffix" >&5
+echo "$as_me:21032: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
 	# libtool thinks it can make c++ shared libraries (perhaps only g++)
@@ -21093,7 +21094,7 @@
 	test -n "$LIB_SUFFIX" && CXX_DEP_SUFFIX="${LIB_SUFFIX}${CXX_DEP_SUFFIX}"
 
 fi
-echo "$as_me:21096: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:21097: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
@@ -21258,19 +21259,19 @@
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-	echo "$as_me:21261: checking if linker supports switching between static/dynamic" >&5
+	echo "$as_me:21262: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
 	rm -f libconftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 21266 "configure"
+#line 21267 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-	if { (eval echo "$as_me:21270: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:21271: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21273: \$? = $ac_status" >&5
+  echo "$as_me:21274: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
 		( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -21281,10 +21282,10 @@
 
 	LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21284 "configure"
+#line 21285 "configure"
 #include "confdefs.h"
 
-#line 21287 "configure"
+#line 21288 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -21299,16 +21300,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21302: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21303: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21305: \$? = $ac_status" >&5
+  echo "$as_me:21306: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21308: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21309: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21311: \$? = $ac_status" >&5
+  echo "$as_me:21312: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	# some linkers simply ignore the -dynamic
@@ -21331,7 +21332,7 @@
 	rm -f libconftest.*
 	LIBS="$cf_save_LIBS"
 
-	echo "$as_me:21334: result: $cf_ldflags_static" >&5
+	echo "$as_me:21335: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
 	if test $cf_ldflags_static != yes
@@ -21347,7 +21348,7 @@
 	;;
 esac
 
-echo "$as_me:21350: checking where we will install curses.h" >&5
+echo "$as_me:21351: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 
 includesubdir=
@@ -21357,7 +21358,7 @@
 then
 	includesubdir="/ncurses${LIB_SUFFIX}"
 fi
-echo "$as_me:21360: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:21361: result: ${includedir}${includesubdir}" >&5
 echo "${ECHO_T}${includedir}${includesubdir}" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -21365,7 +21366,7 @@
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
 	NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-	{ echo "$as_me:21368: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+	{ echo "$as_me:21369: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -21383,7 +21384,7 @@
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:21386: checking for src modules" >&5
+echo "$as_me:21387: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -21448,7 +21449,7 @@
 		fi
 	fi
 done
-echo "$as_me:21451: result: $cf_cv_src_modules" >&5
+echo "$as_me:21452: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -21668,7 +21669,7 @@
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:21671: checking for $ac_word" >&5
+echo "$as_me:21672: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21685,7 +21686,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:21688: found $ac_dir/$ac_word" >&5
+   echo "$as_me:21689: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -21697,10 +21698,10 @@
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:21700: result: $TIC_PATH" >&5
+  echo "$as_me:21701: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:21703: result: no" >&5
+  echo "$as_me:21704: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -21708,7 +21709,7 @@
 then
 	if test "$TIC_PATH" = unknown
 	then
-		{ echo "$as_me:21711: WARNING: no tic program found for fallbacks" >&5
+		{ echo "$as_me:21712: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
 	fi
 fi
@@ -21734,7 +21735,7 @@
 	*-D_XOPEN_SOURCE_EXTENDED*)
 		test -n "$verbose" && echo "	moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:21737: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:21738: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
 		CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
 		CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -21863,7 +21864,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:21866: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:21867: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -22039,7 +22040,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:22042: error: ambiguous option: $1
+    { { echo "$as_me:22043: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -22058,7 +22059,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:22061: error: unrecognized option: $1
+  -*) { { echo "$as_me:22062: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -22169,7 +22170,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:22172: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:22173: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -22606,7 +22607,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:22609: creating $ac_file" >&5
+    { echo "$as_me:22610: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -22624,7 +22625,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:22627: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:22628: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -22637,7 +22638,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:22640: error: cannot find input file: $f" >&5
+           { { echo "$as_me:22641: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -22653,7 +22654,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:22656: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:22657: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -22662,7 +22663,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:22665: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:22666: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -22699,7 +22700,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:22702: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:22703: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -22710,7 +22711,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:22713: WARNING: Some variables may not be substituted:
+      { echo "$as_me:22714: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -22759,7 +22760,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:22762: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:22763: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -22770,7 +22771,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:22773: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:22774: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -22783,7 +22784,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:22786: error: cannot find input file: $f" >&5
+           { { echo "$as_me:22787: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -22841,7 +22842,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:22844: $ac_file is unchanged" >&5
+      { echo "$as_me:22845: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -23144,7 +23145,7 @@
 				cygdll|msysdll|mingw) #(vi
 					test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "	overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:23147: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:23148: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
 					with_shared_cxx=yes
 					;;
Index: configure.in
Prereq:  1.586 
--- ncurses-5.9-20141018+/configure.in	2014-09-23 22:18:46.000000000 +0000
+++ ncurses-5.9-20141025/configure.in	2014-10-25 00:21:04.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.586 2014/09/23 22:18:46 tom Exp $
+dnl $Id: configure.in,v 1.587 2014/10/25 00:21:04 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.586 $)
+AC_REVISION($Revision: 1.587 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -1388,7 +1388,7 @@
 
 ###	Checks for libraries.
 case $cf_cv_system_name in #(vi
-*mingw32*) #(vi
+*mingw32*|*mingw64*) #(vi
 	CPPFLAGS="$CPPFLAGS -DWINVER=0x0501"
 	LIBS=" -lpsapi $LIBS"
 	;;
@@ -1722,8 +1722,9 @@
 if test "$with_term_driver" != no ; then
 	LIB_SUBSETS="${LIB_SUBSETS}+port_drivers"
 	case $cf_cv_system_name in #(vi
-	*mingw32*) #(vi
+	*mingw32*|*mingw64*) #(vi
 		LIB_SUBSETS="${LIB_SUBSETS}+port_tinfo+port_win32con"
+		CPPFLAGS="$CPPFLAGS -DUSE_WIN32CON_DRIVER"
 		;;
 	*) #(vi
 		LIB_SUBSETS="${LIB_SUBSETS}+port_tinfo"
Index: dist.mk
Prereq:  1.1011 
--- ncurses-5.9-20141018+/dist.mk	2014-10-13 08:53:05.000000000 +0000
+++ ncurses-5.9-20141025/dist.mk	2014-10-23 23:38:02.000000000 +0000
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1011 2014/10/13 08:53:05 tom Exp $
+# $Id: dist.mk,v 1.1012 2014/10/23 23:38:02 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20141018
+NCURSES_PATCH = 20141025
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: ncurses/base/lib_mouse.c
Prereq:  1.163 
--- ncurses-5.9-20141018+/ncurses/base/lib_mouse.c	2014-10-18 10:32:02.000000000 +0000
+++ ncurses-5.9-20141025/ncurses/base/lib_mouse.c	2014-10-25 08:24:23.000000000 +0000
@@ -84,7 +84,7 @@
 #define CUR SP_TERMTYPE
 #endif
 
-MODULE_ID("$Id: lib_mouse.c,v 1.163 2014/10/18 10:32:02 tom Exp $")
+MODULE_ID("$Id: lib_mouse.c,v 1.164 2014/10/25 08:24:23 tom Exp $")
 
 #include <tic.h>
 
@@ -432,7 +432,7 @@
 
 #if USE_GPM_SUPPORT
 static bool
-allow_gpm_mouse(SCREEN *sp)
+allow_gpm_mouse(SCREEN *sp GCC_UNUSED)
 {
     bool result = FALSE;
 
Index: ncurses/curses.priv.h
Prereq:  1.544 
--- ncurses-5.9-20141018+/ncurses/curses.priv.h	2014-10-11 19:30:58.000000000 +0000
+++ ncurses-5.9-20141025/ncurses/curses.priv.h	2014-10-24 23:57:28.000000000 +0000
@@ -34,7 +34,7 @@
  ****************************************************************************/
 
 /*
- * $Id: curses.priv.h,v 1.544 2014/10/11 19:30:58 tom Exp $
+ * $Id: curses.priv.h,v 1.545 2014/10/24 23:57:28 tom Exp $
  *
  *	curses.priv.h
  *
@@ -2354,7 +2354,7 @@
 #endif /* !USE_TERM_DRIVER */
 
 #ifdef USE_TERM_DRIVER
-#ifdef __MINGW32__
+#if defined(USE_WIN32CON_DRIVER)
 #include <nc_mingw.h>
 extern NCURSES_EXPORT_VAR(TERM_DRIVER) _nc_WIN_DRIVER;
 extern NCURSES_EXPORT(int)  _nc_mingw_isatty(int fd);
@@ -2372,7 +2372,7 @@
 extern NCURSES_EXPORT_VAR(TERM_DRIVER) _nc_TINFO_DRIVER;
 #endif
 
-#if defined(USE_TERM_DRIVER) && defined(__MINGW32__)
+#if defined(USE_TERM_DRIVER) && defined(USE_WIN32CON_DRIVER)
 #define NC_ISATTY(fd) _nc_mingw_isatty(fd)
 #else
 #define NC_ISATTY(fd) isatty(fd)
@@ -2381,7 +2381,7 @@
 #ifdef USE_TERM_DRIVER
 #  define IsTermInfo(sp)       ((TCBOf(sp) != 0) && ((TCBOf(sp)->drv->isTerminfo)))
 #  define HasTInfoTerminal(sp) ((0 != TerminalOf(sp)) && IsTermInfo(sp))
-#  ifdef __MINGW32__
+#  if defined(USE_WIN32CON_DRIVER)
 #    define IsTermInfoOnConsole(sp) (IsTermInfo(sp)&&_nc_mingw_isconsole(TerminalOf(sp)->Filedes))
 #else
 #    define IsTermInfoOnConsole(sp) FALSE
Index: ncurses/win32con/win_driver.c
Prereq:  1.51 
--- ncurses-5.9-20141018+/ncurses/win32con/win_driver.c	2014-09-27 22:17:36.000000000 +0000
+++ ncurses-5.9-20141025/ncurses/win32con/win_driver.c	2014-10-25 00:24:24.000000000 +0000
@@ -39,7 +39,14 @@
  */
 
 #include <curses.priv.h>
+
+#ifdef __MINGW32__
 #include <tchar.h>
+#else
+#include <windows.h>
+#include <wchar.h>
+#endif
+
 #include <io.h>
 
 #define PSAPI_VERSION 2
@@ -47,7 +54,7 @@
 
 #define CUR my_term.type.
 
-MODULE_ID("$Id: win_driver.c,v 1.51 2014/09/27 22:17:36 tom Exp $")
+MODULE_ID("$Id: win_driver.c,v 1.52 2014/10/25 00:24:24 tom Exp $")
 
 #ifndef __GNUC__
 #  error We need GCC to compile for MinGW
@@ -1893,7 +1900,12 @@
 {
     int result = 0;
 
-    if (_isatty(fd)) {
+#ifdef __MING32__
+#define SysISATTY(fd) _isatty(fd)
+#else
+#define SysISATTY(fd) isatty(fd)
+#endif
+    if (SysISATTY(fd)) {
 	result = 1;
     } else {
 #if WINVER >= 0x0600
Index: package/debian-mingw/changelog
--- ncurses-5.9-20141018+/package/debian-mingw/changelog	2014-10-13 08:53:05.000000000 +0000
+++ ncurses-5.9-20141025/package/debian-mingw/changelog	2014-10-23 23:38:02.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20141018) unstable; urgency=low
+ncurses6 (5.9-20141025) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 13 Oct 2014 04:53:05 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 23 Oct 2014 19:38:02 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20141018+/package/debian-mingw64/changelog	2014-10-13 08:53:05.000000000 +0000
+++ ncurses-5.9-20141025/package/debian-mingw64/changelog	2014-10-23 23:38:02.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20141018) unstable; urgency=low
+ncurses6 (5.9-20141025) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 13 Oct 2014 04:53:05 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 23 Oct 2014 19:38:02 -0400
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian/changelog
--- ncurses-5.9-20141018+/package/debian/changelog	2014-10-13 08:53:05.000000000 +0000
+++ ncurses-5.9-20141025/package/debian/changelog	2014-10-23 23:38:02.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9-20141018) unstable; urgency=low
+ncurses6 (5.9-20141025) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 13 Oct 2014 04:53:05 -0400
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 23 Oct 2014 19:38:02 -0400
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/mingw-ncurses.nsi
Prereq:  1.66 
--- ncurses-5.9-20141018+/package/mingw-ncurses.nsi	2014-10-13 08:53:05.000000000 +0000
+++ ncurses-5.9-20141025/package/mingw-ncurses.nsi	2014-10-23 23:38:02.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.66 2014/10/13 08:53:05 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.67 2014/10/23 23:38:02 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -10,7 +10,7 @@
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
 !define VERSION_YYYY  "2014"
-!define VERSION_MMDD  "1018"
+!define VERSION_MMDD  "1025"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20141018+/package/mingw-ncurses.spec	2014-10-13 08:53:05.000000000 +0000
+++ ncurses-5.9-20141025/package/mingw-ncurses.spec	2014-10-23 23:38:02.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20141018
+Release: 20141025
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.spec
--- ncurses-5.9-20141018+/package/ncurses.spec	2014-10-13 08:53:05.000000000 +0000
+++ ncurses-5.9-20141025/package/ncurses.spec	2014-10-23 23:38:02.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20141018
+Release: 20141025
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: test/test.priv.h
Prereq:  1.130 
--- ncurses-5.9-20141018+/test/test.priv.h	2014-09-05 08:45:09.000000000 +0000
+++ ncurses-5.9-20141025/test/test.priv.h	2014-10-25 01:20:34.000000000 +0000
@@ -29,7 +29,7 @@
 /****************************************************************************
  *  Author: Thomas E. Dickey                    1996-on                     *
  ****************************************************************************/
-/* $Id: test.priv.h,v 1.130 2014/09/05 08:45:09 tom Exp $ */
+/* $Id: test.priv.h,v 1.131 2014/10/25 01:20:34 tom Exp $ */
 
 #ifndef __TEST_PRIV_H
 #define __TEST_PRIV_H 1
@@ -683,7 +683,7 @@
 #define EXIT_FAILURE 1
 #endif
 
-#if defined(__MINGW32__)
+#if defined(__MINGW32__) || defined(USE_WIN32CON_DRIVER)
 
 #if defined(PDCURSES)
 #ifdef WINVER
